Bug 20304 - Warnings in cataloguing scripts need to be removed
Summary: Warnings in cataloguing scripts need to be removed
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19996
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-27 16:35 UTC by Jonathan Druart
Modified: 2018-10-24 09:13 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20304: Remove warnings from cataloguing scripts (4.82 KB, patch)
2018-02-27 16:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20304: Remove warnings from cataloguing scripts (4.24 KB, patch)
2018-02-27 16:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20304: Remove warnings from cataloguing scripts (4.13 KB, patch)
2018-04-02 14:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20304: Remove warnings from cataloguing scripts (4.13 KB, patch)
2018-04-09 13:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20304: Remove warnings from cataloguing scripts (4.18 KB, patch)
2018-04-10 18:09 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20304: Remove warnings from cataloguing scripts (4.24 KB, patch)
2018-04-26 11:52 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20304: (QA follow-up) Remove unwanted 'my' (1.15 KB, patch)
2018-04-26 11:52 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-02-27 16:35:11 UTC
Since bug 19996 we have now warnings in cataloguing scripts.
Comment 1 Jonathan Druart 2018-02-27 16:36:42 UTC
Created attachment 72271 [details] [review]
Bug 20304: Remove warnings from cataloguing scripts
Comment 2 Jonathan Druart 2018-02-27 16:37:19 UTC
Created attachment 72272 [details] [review]
Bug 20304: Remove warnings from cataloguing scripts
Comment 3 Jonathan Druart 2018-02-27 16:38:29 UTC
I am going to attach patches when I find these warnings.
Comment 4 M. Tompsett 2018-04-02 00:46:47 UTC
Comment on attachment 72272 [details] [review]
Bug 20304: Remove warnings from cataloguing scripts

Review of attachment 72272 [details] [review]:
-----------------------------------------------------------------

::: cataloguing/additem.pl
@@ +157,5 @@
>              my $temp2 = $temp->field($CNtag);
>              if ($temp2) {
> +                my $value = q{};
> +                $value .= $temp2->subfield($CNsubfield)  if $temp2->subfield($CNsubfield);
> +                $value .= $temp2->subfield($CNsubfield2) if $temp2->subfield($CNsubfield2);

Where's the space gone?
Comment 5 Jonathan Druart 2018-04-02 14:15:39 UTC
Created attachment 73522 [details] [review]
Bug 20304: Remove warnings from cataloguing scripts
Comment 6 Jonathan Druart 2018-04-02 14:16:45 UTC
(In reply to M. Tompsett from comment #4)
> Comment on attachment 72272 [details] [review] [review]
> Bug 20304: Remove warnings from cataloguing scripts
> 
> Review of attachment 72272 [details] [review] [review]:
> -----------------------------------------------------------------
> 
> ::: cataloguing/additem.pl
> @@ +157,5 @@
> >              my $temp2 = $temp->field($CNtag);
> >              if ($temp2) {
> > +                my $value = q{};
> > +                $value .= $temp2->subfield($CNsubfield)  if $temp2->subfield($CNsubfield);
> > +                $value .= $temp2->subfield($CNsubfield2) if $temp2->subfield($CNsubfield2);
> 
> Where's the space gone?

lost, but I found it!
Comment 7 Jonathan Druart 2018-04-09 13:53:51 UTC
Created attachment 73869 [details] [review]
Bug 20304: Remove warnings from cataloguing scripts
Comment 8 M. Tompsett 2018-04-10 18:07:52 UTC
Set a default value for the holding branch in the default framework.
Add a manual record using the default framework.
In order to trigger all the code, I needed a value in 082$a
I then put crazy long values (>100) in text fields for the item and saved.
I made sure the full call number was set to something (I used 100$ab).
So yes, my data is horrible, but having triggered all the code, I know it works. :) And so much less floody.
Comment 9 M. Tompsett 2018-04-10 18:09:20 UTC
Created attachment 73961 [details] [review]
Bug 20304: Remove warnings from cataloguing scripts

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 10 Julian Maurice 2018-04-26 11:52:37 UTC
Created attachment 74876 [details] [review]
Bug 20304: Remove warnings from cataloguing scripts

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 11 Julian Maurice 2018-04-26 11:52:41 UTC
Created attachment 74877 [details] [review]
Bug 20304: (QA follow-up) Remove unwanted 'my'

'my' creates a new '$value' variable, and prevented the '$value' in
outer scope to be modified

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 12 Jonathan Druart 2018-05-03 16:41:06 UTC
Pushed to master for 18.05, thanks to everybody involved!